%define ver_e2fsprogs 1.29
%define ver_progsreiserfs 0.3.1-rc7

Summary:	Tool to check and undelete partition.
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje.
Summary(fr):	Outil pour vrifier et restorer des partitions.
Name:		testdisk
Version:	4.5
Release:	1
License:	GPL
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.gz
Source1:	e2fsprogs-%ver_e2fsprogs.tar.bz2
Source2:	progsreiserfs-%ver_progsreiserfs.tar.bz2
Patch0:		progsreiserfs-journal.patch.bz2
URL:		http://www.cgsecurity.org/testdisk.html
Packager:	Christophe GRENIER <grenier@cgsecurity.org>
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
Tool to check and undelete partition. Works with the following
partitions:
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 and 2)
- NTFS (Windows NT/W2K/XP)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%description -l pl
Narzdzie sprawdzajce i odzyskujace partycje. Pracuje z partycjami:
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 and 2)
- NTFS (Windows NT/W2K/XP)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%description -l fr
Outil pour vrifier et restorer des partitions. Fonctionne avec les 
partitions suivantes :
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 et 2)
- NTFS (Windows NT/W2K/XP)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%prep
%setup -n %{name}
%setup -a 1 -D -n %{name} 
%setup -a 2 -D -n %{name}
%patch0

%build

(
cd e2fsprogs-%ver_e2fsprogs
%configure
make libs
)
(
cd  progsreiserfs-%ver_progsreiserfs
%configure
make
)
cd src

make linux

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1

install src/testdisk	$RPM_BUILD_ROOT%{_sbindir}/
install doc/testdisk.1  $RPM_BUILD_ROOT%{_mandir}/man1/testdisk.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README TODO doc/*.html doc/*.gif
%doc %{_mandir}/man1/testdisk.1*
%attr(755,root,root) %{_sbindir}/testdisk
%changelog
* Wed Oct 1 2003 Christophe Grenier <grenier@cgsecurity.org> 4.5
- 4.5

* Wed Apr 23 2003 Christophe Grenier <grenier@cgsecurity.org> 4.4-2

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.4-1mdk
- 4.4

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-2mdk
- rebuild for rpm and glibc

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-1mdk
- 4.2

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1-1mdk 
- By Pascal Terjan <pascal.terjan@free.fr>
	- first mdk release, adapted from PLD.
	- gz to bz2 compression.
- fix %%tmppath
- %%make instead %%{__make}
